zenilib: zenilib/jni/external/libvorbis/lib/window.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
window.c File Reference
`#include <stdlib.h>`
`#include <math.h>`
`#include "os.h"`
`#include "misc.h"`

Go to the source code of this file.

## Functions

void | _vorbis_apply_window (float *d, int *winno, long *blocksizes, int lW, int W, int nW)
const float * | _vorbis_window_get (int n)

## Variables

static const float *const | vwin [8]
static const float | vwin1024 [512]
static const float | vwin128 [64]
static const float | vwin2048 [1024]
static const float | vwin256 [128]
static const float | vwin4096 [2048]
static const float | vwin512 [256]
static const float | vwin64 [32]
static const float | vwin8192 [4096]

## Function Documentation

void _vorbis_apply_window | ( | float * | d,
|  | int * | winno,
|  | long * | blocksizes,
|  | int | lW,
|  | int | W,
|  | int | nW
| ) |  |

Definition at line 2102 of file window.c.

References i, and vwin.

Referenced by mapping0_forward().

const float* _vorbis_window_get | ( | int | n | ) |

Definition at line 2098 of file window.c.

References vwin.

Referenced by vorbis_synthesis_blockin(), and vorbis_window().

## Variable Documentation

const float* const vwin[8]

static

Initial value:
= {
vwin64,
vwin128,
vwin256,
vwin512,
vwin1024,
vwin2048,
vwin4096,
vwin8192,
}
vwin64
static const float vwin64[32]
Definition: window.c:23
vwin4096
static const float vwin4096[2048]
Definition: window.c:545
vwin128
static const float vwin128[64]
Definition: window.c:34
vwin1024
static const float vwin1024[512]
Definition: window.c:155
vwin512
static const float vwin512[256]
Definition: window.c:88
vwin256
static const float vwin256[128]
Definition: window.c:53
vwin8192
static const float vwin8192[4096]
Definition: window.c:1060
vwin2048
static const float vwin2048[1024]
Definition: window.c:286

Definition at line 2087 of file window.c.

Referenced by _vorbis_apply_window(), and _vorbis_window_get().

const float vwin1024[512]

static

Definition at line 155 of file window.c.

const float vwin128[64]

static

Initial value:
= {
0.0002365472F, 0.0021280687F, 0.0059065254F, 0.0115626550F,
0.0190823442F, 0.0284463735F, 0.0396300935F, 0.0526030430F,
0.0673285281F, 0.0837631763F, 0.1018564887F, 0.1215504095F,
0.1427789367F, 0.1654677960F, 0.1895342001F, 0.2148867160F,
0.2414252576F, 0.2690412240F, 0.2976177952F, 0.3270303960F,
0.3571473350F, 0.3878306189F, 0.4189369387F, 0.4503188188F,
0.4818259135F, 0.5133064334F, 0.5446086751F, 0.5755826278F,
0.6060816248F, 0.6359640047F, 0.6650947483F, 0.6933470543F,
0.7206038179F, 0.7467589810F, 0.7717187213F, 0.7954024542F,
0.8177436264F, 0.8386902831F, 0.8582053981F, 0.8762669622F,
0.8928678298F, 0.9080153310F, 0.9217306608F, 0.9340480615F,
0.9450138200F, 0.9546851041F, 0.9631286621F, 0.9704194171F,
0.9766389810F, 0.9818741197F, 0.9862151938F, 0.9897546035F,
0.9925852598F, 0.9947991032F, 0.9964856900F, 0.9977308602F,
0.9986155015F, 0.9992144193F, 0.9995953200F, 0.9998179155F,
0.9999331503F, 0.9999825563F, 0.9999977357F, 0.9999999720F,
}

Definition at line 34 of file window.c.

const float vwin2048[1024]

static

Definition at line 286 of file window.c.

const float vwin256[128]

static

Definition at line 53 of file window.c.

const float vwin4096[2048]

static

Definition at line 545 of file window.c.

const float vwin512[256]

static

Definition at line 88 of file window.c.

const float vwin64[32]

static

Initial value:
= {
0.0009460463F, 0.0085006468F, 0.0235352254F, 0.0458950567F,
0.0753351908F, 0.1115073077F, 0.1539457973F, 0.2020557475F,
0.2551056759F, 0.3122276645F, 0.3724270287F, 0.4346027792F,
0.4975789974F, 0.5601459521F, 0.6211085051F, 0.6793382689F,
0.7338252629F, 0.7837245849F, 0.8283939355F, 0.8674186656F,
0.9006222429F, 0.9280614787F, 0.9500073081F, 0.9669131782F,
0.9793740220F, 0.9880792941F, 0.9937636139F, 0.9971582668F,
0.9989462667F, 0.9997230082F, 0.9999638688F, 0.9999995525F,
}

Definition at line 23 of file window.c.

const float vwin8192[4096]

static

Definition at line 1060 of file window.c.